Bug 143012 - Please change query URL of IETF RFC searchprovider
Summary: Please change query URL of IETF RFC searchprovider
Status: RESOLVED FIXED
Alias: None
Product: kcontrol
Classification: Unclassified
Component: kcmkurifilt (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Dawit Alemayehu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-15 17:20 UTC by Martin
Modified: 2011-05-03 15:07 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin 2007-03-15 17:20:17 UTC
Version:            (using KDE KDE 3.5.6)
Installed from:    SuSE RPMs
OS:                Linux

The current query URL of the "IETF Requests for Comments" is http://www.ietf.org/rfc/rfc\{@}.txt. Please change it to http://tools.ietf.org/html/\{@} as it seems to be the much better choice. It looks nicer and has hyperlinks for navigation and links to other RFCs. If you need the plaintext version, there is a link to it.

Type rfc:822 and you will immediately see that it was obsoleted by rfc:2822 and updated by some other rfcs, which the current RFC query URL doesn't tell you.

You can search for drafts: Type rfc:annotatemore and you fill find the current version of the IMAP ANNOTATEMORE draft. You can navigate between the versions and if it is released as RFC, there will be a link to it.

Thank you.
Comment 1 Dawit Alemayehu 2011-05-03 15:07:49 UTC
Git commit 592bc510b20c8d7283b5fd97ed0467ff8a13838e by Dawit Alemayehu.
Committed on 03/05/2011 at 02:33.
Pushed by adawit into branch 'master'.

Replaced
   http://www.ietf.org/rfc/rfc\\{@}.txt
with
   http://tools.ietf.org/html/rfc\\{@}

to ensure the HTML version shown instead of the text one. This provides the
added benefit of allowing a user to navigate RFCs as properly hyperlinked
document. Moreover, those that want the simple text display can simply click
on the links provides in the HTML view to view a text or even a PDF version
of the document.

M  +87   -87   kurifilter-plugins/ikws/searchproviders/rfc.desktop     

http://commits.kde.org/kde-runtime/592bc510b20c8d7283b5fd97ed0467ff8a13838e